package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import org.w3c.dom.Document;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: TestSuite
 *
 */
@SuppressWarnings("all")
public class TestSuite_DataTable extends DataTable {
  public TestSuite_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_ACORDToHRXMLCreditTC_test_transform tcACORDToHRXMLCreditTC_test_transform = new TC_ACORDToHRXMLCreditTC_test_transform("ACORDToHRXMLCreditTC_test_transform", this);

/**
 *
 * Test Case: ACORDToHRXMLCreditTC_test_transform
 *
 */
public class TC_ACORDToHRXMLCreditTC_test_transform extends TestCaseData {
  public TC_ACORDToHRXMLCreditTC_test_transform(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1258444282187_4535396() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/ACORDToHRXMLCreditModuleWeb/sca/ACORDHRXMLCreditTransformServicePortTypeExport",java.lang.String.class);

}String constructField_1258444282187_4535396(Object parent) throws Exception{
return getField_1258444282187_4535396();
}
public String createValue_1258444282187_4535396() throws Exception{
String serviceAddress = constructField_1258444282187_4535396(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1258444282187_4535396();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1258444282187_4535534() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1258444282187_4535534();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_HRXMLCreditToACORDTC_test_transform tcHRXMLCreditToACORDTC_test_transform = new TC_HRXMLCreditToACORDTC_test_transform("HRXMLCreditToACORDTC_test_transform", this);

/**
 *
 * Test Case: HRXMLCreditToACORDTC_test_transform
 *
 */
public class TC_HRXMLCreditToACORDTC_test_transform extends TestCaseData {
  public TC_HRXMLCreditToACORDTC_test_transform(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress_2;
    DE_ServiceAddress_2 deServiceAddress_2 = new DE_ServiceAddress_2("serviceAddress_2", this);

/**
 * Data Set Row serviceAddress_2
 */
public class DE_ServiceAddress_2 extends AbstractInputDataEntry {
   public DE_ServiceAddress_2(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress_2
public String getField_1258444292218_4979975() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/ACORDToHRXMLCreditModuleWeb/sca/HRXMLCreditACORDTransformServicePortTypeExport",java.lang.String.class);

}String constructField_1258444292218_4979975(Object parent) throws Exception{
return getField_1258444292218_4979975();
}
public String createValue_1258444292218_4979975() throws Exception{
String serviceAddress_2 = constructField_1258444292218_4979975(null);
return serviceAddress_2;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress_2;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress_2 = createValue_1258444292218_4979975();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request_2;
    DE_Request_2 deRequest_2 = new DE_Request_2("request_2", this);

/**
 * Data Set Row request_2
 */
public class DE_Request_2 extends AbstractInputDataEntry {
   public DE_Request_2(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1258444292218_4980160() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request_2 = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request_2;
}

   
   public Object getValue() throws Exception
   {
      return request_2;

   }
   
   public void initValue() throws Exception
   {
         request_2 = createValue_1258444292218_4980160();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response_2;
    DE_Response_2 deResponse_2 = new DE_Response_2("response_2", this);

/**
 * Data Set Row response_2
 */
public class DE_Response_2 extends AbstractOutputDataEntry {
   public DE_Response_2(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response_2;

   }
   
   public void setValue(Object value) throws Exception
   {
      response_2 = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}